
%global         base_name   breeze

Name:    kde-style-breeze 
Epoch:   1
Version: 5.18.5
Release: 1%{?dist}
Summary: KDE 4 version of Plasma 5 artwork, style and assets 

License: GPLv2+
URL:     https://cgit.kde.org/%{base_name}.git
Source0: http://download.kde.org/stable/plasma/%{version}/%{base_name}-%{version}.tar.xz

# filter plugin provides
%global __provides_exclude_from ^(%{_kde4_libdir}/kde4/.*\\.so)$

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  libxcb-devel

Obsoletes:      plasma-breeze-kde4 < 5.1.95
Provides:       plasma-breeze-kde4%{?_isa} = %{version}-%{release}
# to consider ? -- rex
%if 0
Supplements: (kde-runtime and plasma-workspace)
%endif

%description
%{summary}.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
mkdir %{_target_platform}_kde4
pushd %{_target_platform}_kde4
%cmake_kde4 -DUSE_KDE4=TRUE ..
popd

%make_build -C %{_target_platform}_kde4


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}_kde4


%ldconfig_scriptlets

%files
%{_libdir}/libbreezecommon4.so.5*
%{_kde4_libdir}/kde4/plugins/styles/breeze.so
%{_kde4_libdir}/kde4/kstyle_breeze_config.so
%{_kde4_appsdir}/kstyle/themes/breeze.themerc


%changelog
* Sat Oct 03 2020 Rex Dieter <rdieter@fedoraproject.org> - 1:5.18.5-1
- 5.18.5, first try
- Epoch:1, for upgrade path from subpkg from plasma-5.19+
